import type { Title } from '#build/components';
<template>
  <div id="toast-success" v-if="visible"
    class="fixed flex items-center w-full max-w-xs p-4 mb-4 text-gray-500 bg-white rounded-lg shadow top-5 right-5"
    role="alert">
    <div
      :class="`inline-flex items-center justify-center flex-shrink-0 w-8 h-8 text-${color}-500 bg-${color}-100 rounded-lg `">
      <Icon size="25" class="w-full h-full" :name="icon" />
    </div>
    <div class="ml-3 text-sm font-normal">{{ message }}</div>
    <button type="button"
      class="ml-auto -mx-1.5 -my-1.5 bg-white text-gray-400 hover:text-gray-900 rounded-lg focus:ring-2 focus:ring-gray-300 p-1.5 hover:bg-gray-100 inline-flex items-center justify-center h-8 w-8 "
      data-dismiss-target="#toast-success" aria-label="Close">
      <span class="sr-only">Close</span>
      <svg class="w-3 h-3" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 14">
        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
          d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6" />
      </svg>
    </button>
  </div>
</template>

<script lang="ts">
enum Type {
  Success = 'success',
  Danger = 'danger',
  Warning = 'warning'
}
export default {
  props: {
    type: String,// as PropType<Type>,
    message: String,
    visible: Boolean,
  },
  computed: {
    color() {
      return this.type === Type.Success ? 'green' : (this.type === Type.Danger ? 'red' : 'orange')
    },
    icon() {
      return this.type === Type.Success ? 'icon-park-twotone:success' : (this.type === Type.Danger ? 'ic:twotone-dangerous' : 'ic:baseline-warning-amber')
    }
  }
};
</script>
